{ config, pkgs, ... }:

{
  programs.sway = {
    enable = true;
    extraPackages = with pkgs; [
      swaylock # lockscreen
      swayidle # autolock
      xwayland # for legacy apps
      unstable.waybar # better status bar FIXME: 0.9.3 is broken, 0.9.4 from unstable works
      mako # notification daemon
      #kanshi # autorandr
      alacritty # temrinal
      dmenu-wayland # launcher
      brightnessctl # control screen brightness
      #redshift-wlr # natural color temperature
      sway-contrib.grimshot # screenshots
    ];
    extraSessionCommands = ''
      export CLUTTER_BACKEND=wayland
      export GDK_BACKEND=wayland
      export MOZ_ENABLE_WAYLAND=1
      export QT_QPA_PLATFORM=wayland-egl
      export QT_WAYLAND_DISABLE_WINDOWDECORATION=1
      export SDL_VIDEODRIVER=wayland
      export WLR_NO_HARDWARE_CURSORS=1
      export _JAVA_AWT_WM_NONREPARENTING=1
    '';
  };

  services.redshift = {
    enable = true;
    package = pkgs.redshift-wlr;
    extraOptions = [ "-v" "-m" "wayland" ];
    temperature = {
      day = 6500;
      night = 3500;
    };
  };

  systemd.user.targets.graphical-session.wantedBy = [ "multi-user.target" ];

  services.logind.lidSwitchDocked = config.services.logind.lidSwitch;
}
